Get a purchase order by ID

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

purchase_order_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID assigned to this purchase order.
created_atdatetime
Time at which the receivable was created. Timestamps follow the ISO 8601 standard.
updated_atdatetime
Time at which the receivable was last updated. Timestamps follow the ISO 8601 standard.
counterpartobject

Counterpart information about an organization (juridical person) or individual (natural person) that provides goods and services to or buys them from an

counterpart_idstringformat: "uuid"
Counterpart unique ID.
currencyenum

The currency in which the price of the product is set. (all items need to have the same currency)

document_idstring
entityobject

Data of the entity (address, name, contact)

entity_idstringformat: "uuid"
The ID of the entity which issued the purchase order.
itemslist of objects
List of item to purchase
messagestring
Msg which will be send to counterpart for who the purchase order is issued.
statusstring
Purchase order can be in 'draft' state before sending it to counterpart. After that state is 'issued'
valid_for_daysinteger>=1
Number of days for which purchase order is valid
counterpart_addressobject
Counterpart address data saved on creation or update of the purchase order.
counterpart_address_idstringformat: "uuid"
The ID of counterpart address object stored in counterparts service. If not provided, counterpart's default address is used.
created_by_user_idstringformat: "uuid"
ID of the creator of the purchase order
entity_vat_idobject
file_idstringformat: "uuid"
file_urlstring
issued_atstringformat: "date"
When status changed from 'draft' to 'send', so after sending purchase order
project_idstringformat: "uuid"
Project ID of a purchase order

Errors

400
Get Payable Purchase Orders ID Request Bad Request Error
401
Get Payable Purchase Orders ID Request Unauthorized Error
404
Get Payable Purchase Orders ID Request Not Found Error
422
Get Payable Purchase Orders ID Request Unprocessable Entity Error
429
Get Payable Purchase Orders ID Request Too Many Requests Error